<?php
// $Id: template.php,v 1.2.2.5 2008/10/20 12:39:39 liorkesos Exp $
/**
* Force refresh of theme registry.
* DEVELOPMENT USE ONLY - COMMENT OUT FOR PRODUCTION
*/
// drupal_rebuild_theme_registry();

/**
  * Tendu Drupal - A CSS Theme For Developers
  * Author: Tom Bigelajzen - http://tombigel.com
  * Initial Drupal 6 porting: Lior Kesos - http://www.linnovate.net
  * Further improvements to code by Zohar Stolar (http://drupal.org/user/48488) of Linnovate and Tom Bigelajzen 
  *
  * This theme is Cross-browser and RTL ready.
  * It is extremely minimal and ment to be a wireframe for
  * theme developers to build bi-directional themes. 
  */


/**
 * Override or insert PHPTemplate variables into the page templates.
 *
 * @param $vars
 *   A sequential array of variables to pass to the theme template.
 */

function phptemplate_preprocess_page(&$vars) {  // Build array of helpful body classes
  $body_classes = array();
  // Page user is logged in
  $body_classes[] = ($vars['logged_in']) ? 'logged-in' : 'not-logged-in';
  // Page is front page
  $body_classes[] = ($vars['is_front']) ? 'front' : 'not-front'; 
  
  //Clean these strings from special characters (TODO: do we need this check?)
  $_page_type = str_replace(array('][', '_', ' '), '-', arg(0));
  $_node_type = str_replace(array('][', '_', ' '), '-', $vars['node']->type);
  // Page type (for admin, node, etc.)
  $body_classes[] = preg_replace('![^abcdefghijklmnopqrstuvwxyz0-9-_]+!s', '', 'page-' . $_page_type);
  //If node page, print node type
  if (isset($vars['node']) && $vars['node']->type) {
    $body_classes[] = 'node-type-'. $_node_type;
  }
  
  //Add classes depended on sidebars
  if ($vars['left'] && $vars['right']) {
    $body_classes[] = 'two-sidebars';
  } elseif (!$vars['left'] && !$vars['right']){
    $body_classes[] = 'no-sidebars';
  } else{
    $body_classes[] = 'one-sidebar';
  }

  if ($vars['left']) {
    $body_classes[] = 'with-sidebar-left';
  }
  if ($vars['right']) {
    $body_classes[] = 'with-sidebar-right';
  }
  $body_classes = array_filter($body_classes); // Remove empty elements
  $vars['body_classes'] = implode(' ', $body_classes);// Create class list separated by spaces
}
